POST api/departmentItemapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

DepartmentItemViewModel
NameDescriptionTypeAdditional information
item_code

string

None.

item_descriptions

Dictionary of string [key] and string [value]

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

department_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "item_code": "sample string 1",
  "item_descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "selected_sticker_id": "98d50734-e39a-476a-b71b-8c4f43bfe9a8",
  "selected_nameplate_id": "5129ddbe-3a99-4f97-96a9-77bf77bf07c4",
  "active": true,
  "department_id": "f34dab61-41f1-4e53-9d48-924c4be2ea81",
  "id": "0550a277-43fb-40df-8cea-afd796d0e068",
  "physical_item_id": "11df28e0-e4df-47bc-8f86-256a63d7492c",
  "service_item_id": "876b8f48-e466-46c3-83cb-f8b5c5ec7b79",
  "item_wash_max": 1,
  "quantity": 1
}

application/xml, text/xml

Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <department_id>f34dab61-41f1-4e53-9d48-924c4be2ea81</department_id>
  <id>0550a277-43fb-40df-8cea-afd796d0e068</id>
  <item_wash_max>1</item_wash_max>
  <physical_item_id>11df28e0-e4df-47bc-8f86-256a63d7492c</physical_item_id>
  <quantity>1</quantity>
  <service_item_id>876b8f48-e466-46c3-83cb-f8b5c5ec7b79</service_item_id>
  <item_code>sample string 1</item_code>
  <item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </item_descriptions>
  <selected_nameplate_id>5129ddbe-3a99-4f97-96a9-77bf77bf07c4</selected_nameplate_id>
  <selected_sticker_id>98d50734-e39a-476a-b71b-8c4f43bfe9a8</selected_sticker_id>
</department_item>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"a708d850-de4d-4b17-b80a-23f36135010e"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a708d850-de4d-4b17-b80a-23f36135010e</guid>